<?php
/**
 * phpaga
 *
 * Products
 *
 * This is the products management module
 *
 * @author Florian Lanthaler <florian@phpaga.net>
 * @version $Id$
 *
 * Copyright (c) 2005, Florian Lanthaler <florian@phpaga.net>
 *
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *    * Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *
 *    * Redistributions in binary form must reproduce the above copyright
 *      notice, this list of conditions and the following disclaimer in
 *      the documentation and/or other materials provided with the
 *      distribution.
 *
 *    * Neither the name of Florian Lanthaler nor the names of his
 *      contributors may be used to endorse or promote products derived
 *      from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
 * IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
 * OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

include_once('./config.php');

$prodrows = array();
$prodIds = array();
$count = 0;
$order = null;
$search_args = null;
$offset = 0;
$select_prcat = array();
$prodInfo = array('prod_code' => null,
                  'prod_name' => null,
                  'prcat_id' => null);

phpaga_header(array('menuitem' => 'core'));

if (isset ($REQUEST_DATA['offset']) && is_numeric($REQUEST_DATA['offset']))
    $offset = $REQUEST_DATA['offset'];

if (isset($REQUEST_DATA['prod_code']) && strlen($REQUEST_DATA['prod_code']))
    $prodInfo['prod_code'] = rawurldecode($REQUEST_DATA['prod_code']);

if (isset($REQUEST_DATA['prod_name']) && strlen($REQUEST_DATA['prod_name']))
    $prodInfo['prod_name'] = rawurldecode($REQUEST_DATA['prod_name']);

if (isset($REQUEST_DATA['prcat_id']) && is_numeric($REQUEST_DATA['prcat_id']))
    $prodInfo['prcat_id'] = $REQUEST_DATA['prcat_id'];

foreach ($prodInfo as $key => $value) {
    if (isset($value) && ($value != ''))
        $search_args .= "&amp;$key=".rawurlencode($value);
}

$location = $_SERVER['PHP_SELF']."?$search_args&amp;order=";

if (isset($REQUEST_DATA['d']) && ($REQUEST_DATA['d'] == 1))
    phpaga_message(_('Product deleted'),
                   _('The product has been successfully deleted.'));

$select_prcat = phpaga_products_getProdcats(true);
phpaga_arrayAddOption($select_prcat, PHPAGA_OPTION_ALL);

$prodrows = phpaga_products_search($count, $prodIds, $prodInfo, $order, $offset, PHPAGA_RECORDS_PERPAGE);

if (PhPagaError::isError($prodrows))
    $prodrows->printMessage();
else {
    $tpl = new psmarty;

    $config = phpaga_config_get();

    $tpl->assign('perm_products', phpaga_user_hasperm(PHPAGA_PERM_MANAGE_SYSSETTINGS));
    $tpl->assign('BROWSE', phpaga_navigate(basename($_SERVER['PHP_SELF'])."?$search_args", $count, $offset, PHPAGA_RECORDS_PERPAGE));
    $tpl->assign('rows', $prodrows);
    $tpl->assign('product', $prodInfo);
    $tpl->assign('location', $location);
    $tpl->assign('select_prcat', $select_prcat);
    $tpl->assign('config', $config);

    $tpl->display('products.tpl.html');
}

phpaga_footer();

?>
